Package net.md_5.bungee.protocol.packet

# Class PingPacket

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.PingPacket

public class PingPacket extends DefinedPacket

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PingPacket()`
  `PingPacket(long time)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `long`
  `getTime()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `void`
  `read(io.netty.buffer.ByteBuf buf)`
  `void`
  `setTime(long time)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PingPacket

    public PingPacket()

  - ### PingPacket

    public PingPacket(long time)

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getTime

    public long getTime()

  - ### setTime

    public void setTime(long time)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`